<template>
  <div>
    <h3 class="pb-2">List of Users</h3>
    <v-card outlined flat tile>
      <v-data-table
        v-if="userItem"
        :headers="headers"
        :items="userItem"
        class="elevation-1"
      >
        <template v-slot:item.avatar="{ item }">
          <v-avatar class="my-2">
            <img
              :src="item.avatar"
            >
          </v-avatar>
        </template>

        <template v-slot:item.details="{ item }">
          <v-btn @click="redirectToDetailPage(item)" small text>
            Details
          </v-btn>
        </template>
      </v-data-table>
    </v-card>
  </div>
</template>

<script>
/* eslint-disable */
import axios from 'axios';

export default {
  name: "UserListings",
  data () {
    return {
      headers: [
        { text: '', value: 'avatar' },
        { text: 'User ID', value: 'id' },
        { text: 'First Name', value: 'first_name' },
        { text: 'Last Name', value: 'last_name' },
        { text: 'Email', value: 'email' },
        { text: '', value: 'details' },
      ],
      userItem: null,
    }
  },

  methods: {
    concatenateLists(arrayA, arrayB){
      return arrayA.concat(arrayB);
    },

    async loadUsers(){
      await axios
        .get(`https://reqres.in/api/users`)
        .then(response => {
          this.userItem = response.data.data;
          })
    },

    redirectToDetailPage(user){
      this.$router.push({ name: "userDetails", params: {user: user, id: user.id,}})
    },
  },

  async mounted(){
    console.log(this.concatenateLists(['a', 'b', 'c'], [1, 2, 3]));

    await this.loadUsers();
  },
};
</script>